package com.hc.business.mapper;

import com.hc.business.model.PaperQuestion;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 随机试卷问题表(PaperQuestion)表数据库访问层
 *
 * @author java
 * @since 2020-12-07 11:35:11
 */

@Repository
public interface PaperQuestionMapper extends Mapper<PaperQuestion> {

    /**
     * 依据试卷id获取抽题规则
     *
     * @param paperId 试卷id
     * @return 实例对象数组
     */
    List<PaperQuestion> queryByPaperId(Integer paperId);

}