package com.hc.business.mapper;

import com.hc.business.model.UserRefundHistory;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;


/**
 * 用户退款记录表(UserRefundHistory)表数据库访问层
 *
 * @author java
 * @since 2020-12-10 11:31:38
 */

@Repository
public interface UserRefundHistoryMapper extends Mapper<UserRefundHistory> {

    /**
     * 依据订单号查询退货单
     *
     * @param orderNo 订单号
     * @return 实例对象
     */
    UserRefundHistory queryByOrderNo(String orderNo);

}