package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 班次课程表(ClassCourse)实体类
 *
 * @author java
 * @since 2020-11-24 11:33:30
 */


@ApiModel(value = "地区课程表")
public class ClassCourse implements Serializable {

    private static final long serialVersionUID = -67544251618141718L;


    /**
     * 地区课程编号
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "地区课程编号")
    private Integer classCourseId;

    /**
     * 班次ID
     */
    @ApiModelProperty(value = "班次ID", required = true)
    @NotNull
    private Integer classId;

    /**
     * 课程编号
     */
    @ApiModelProperty(value = "课程编号", required = true)
    @NotNull
    private Integer courseId;

    /**
     * 课程类型12分表示必选课，可选课
     */
    @ApiModelProperty(value = "课程类型12分表示必选课，可选课", required = true)
    @NotNull
    private Integer courseType;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public ClassCourse(Integer classCourseId, @NotNull Integer classId,
                       @NotNull Integer courseId,
                       @NotNull Integer courseType, Long createTime) {
        this.classCourseId = classCourseId;
        this.classId = classId;
        this.courseId = courseId;
        this.courseType = courseType;
        this.createTime = createTime;
    }

    public ClassCourse() {
    }

    public Integer getClassCourseId() {
        return classCourseId;
    }

    public void setClassCourseId(Integer classCourseId) {
        this.classCourseId = classCourseId;
    }

    public Integer getClassId() {
        return classId;
    }

    public void setClassId(Integer classId) {
        this.classId = classId;
    }

    public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }

    public Integer getCourseType() {
        return courseType;
    }

    public void setCourseType(Integer courseType) {
        this.courseType = courseType;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}