package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * (CourseType)实体类
 *
 * @author java
 * @since 2020-12-17 14:12:49
 */

@ApiModel(value = "课程分类表")
public class CourseType implements Serializable {

    private static final long serialVersionUID = -74761225011108876L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Integer courseTypeId;

    /**
     * 课程分类名称
     */
    @ApiModelProperty(value = "课程分类名称", required = true)
    @NotNull
    private String courseName;


    public CourseType(Integer courseTypeId, String courseName) {
        this.courseTypeId = courseTypeId;
        this.courseName = courseName;
    }

    public CourseType() {
    }

    public Integer getCourseTypeId() {
        return courseTypeId;
    }

    public void setCourseTypeId(Integer courseTypeId) {
        this.courseTypeId = courseTypeId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

}