package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 新闻表
 * (News)实体类
 *
 * @author java
 * @since 2020-11-20 11:48:34
 */
@Data
@ApiModel(value = "资讯表")
public class News implements Serializable {

    private static final long serialVersionUID = -39295514485939079L;


    /**
     * 新闻id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "新闻id")
    private Integer newsId;

    /**
     * 标题
     */
    @ApiModelProperty(value = "标题", required = true)
    @NotNull
    private String newsTitle;

    /**
     * 标题配图
     */
    @ApiModelProperty(value = "标题配图", required = true)
    @NotNull
    private String newsLogo;

    /**
     * 新闻内容
     */
    @ApiModelProperty(value = "新闻内容", required = true)
    @NotNull
    private String newsContent;

    /**
     * 新闻时间
     */
    @ApiModelProperty(value = "新闻时间")
    private Long createTime;

    /**
     * 新闻类别
     */
    @ApiModelProperty(value = "新闻类别")

    private Integer  tagId;

}