package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 用户课程表(UserCourse)实体类
 *
 * @author java
 * @since 2020-11-09 10:05:18
 */

@ApiModel(value = "用户课程表")
public class UserCourse implements Serializable {

    private static final long serialVersionUID = 367696525637009095L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer userCourseId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id", required = true)
    @NotNull
    private Integer userId;

    /**
     * 课程SKUid
     */
    @ApiModelProperty(value = "课程SKUid", required = true)
    @NotNull
    private Integer courseId;

    /**
     * 总体进度
     */
    @ApiModelProperty(value = "总体进度")
    @NotNull
    private Double coursePercent;

    /**
     * 班级ID
     */
    @ApiModelProperty(value = "班级ID", required = true)
    @NotNull
    private Integer classId;


    /**
     * 开班ID
     */
    @ApiModelProperty(value = "开班ID", required = true)
    @NotNull
    private Integer statusId;

    public UserCourse(Integer userCourseId, @NotNull Integer userId,
                      @NotNull Integer courseId, Double coursePercent,
                      @NotNull Integer classId,Integer statusId) {
        this.userCourseId = userCourseId;
        this.userId = userId;
        this.courseId = courseId;
        this.coursePercent = coursePercent;
        this.classId = classId;
        this.statusId = statusId;
    }

    public UserCourse() {
    }

    public Integer getUserCourseId() {
        return userCourseId;
    }

    public void setUserCourseId(Integer userCourseId) {
        this.userCourseId = userCourseId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getStatusId() {
        return statusId;
    }

    public void setStatusId(Integer statusId) {
        this.statusId = statusId;
    }


    public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }

    public Double getCoursePercent() {
        return coursePercent;
    }

    public void setCoursePercent(Double coursePercent) {
        this.coursePercent = coursePercent;
    }

    public Integer getClassId() {
        return classId;
    }


    public void setClassId(Integer classId) {
        this.classId = classId;
    }
}