package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 用户班级学习进度表
 * (UserStatus)实体类
 *
 * @author java
 * @since 2020-12-06 11:37:06
 */

@ApiModel(value = "用户状态表")
public class UserStatus implements Serializable {

    private static final long serialVersionUID = 425010649051627355L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer statusId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    @NotNull
    private Integer userId;

    /**
     * 地区年度继续学习配置ID
     */
    @ApiModelProperty(value = "地区年度继续学习配置ID")
    @NotNull
    private Integer classId;

    /**
     * 报名得订单号
     */
    @ApiModelProperty(value = "报名得订单号")
    @NotNull
    private Integer orderId;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态", required = true)
    @NotNull
    private Integer status;

    public UserStatus(Integer statusId, @NotNull Integer userId,
                      @NotNull Integer classId,
                      @NotNull Integer orderId, @NotNull Integer status) {
        this.statusId = statusId;
        this.userId = userId;
        this.classId = classId;
        this.orderId = orderId;
        this.status = status;
    }

    public UserStatus() {
    }

    public Integer getStatusId() {
        return statusId;
    }

    public void setStatusId(Integer statusId) {
        this.statusId = statusId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getClassId() {
        return classId;
    }

    public void setClassId(Integer classId) {
        this.classId = classId;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}