package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.CourseChapterTest;
import org.springframework.stereotype.Component;


/**
 * 章节测试表/随堂练习表(CourseChapterTest)表服务接口
 *
 * @author java
 * @since 2020-11-09 10:04:53
 */

@Component
public interface CourseChapterTestService {

    /**
     * 通过ID查询单条数据
     *
     * @param testId 主键
     * @return 实例对象
     */
    CourseChapterTest queryById(Integer testId);

    /**
     * 新增数据
     *
     * @param courseChapterTest 实例对象
     * @return 实例对象
     */
    CourseChapterTest insert(CourseChapterTest courseChapterTest);

    /**
     * 修改数据
     *
     * @param courseChapterTest 实例对象
     * @return 实例对象
     */
    CourseChapterTest update(CourseChapterTest courseChapterTest);

    /**
     * 通过主键删除数据
     *
     * @param testId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer testId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}