package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.CourseChapterVideo;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 课程视频(CourseChapterVideo)表服务接口
 *
 * @author java
 * @since 2020-11-09 10:04:56
 */

@Component
public interface CourseChapterVideoService {

    /**
     * 通过ID查询单条数据
     *
     * @param videoId 主键
     * @return 实例对象
     */
    CourseChapterVideo queryById(Integer videoId);

    /**
     * 新增数据
     *
     * @param courseChapterVideo 实例对象
     * @return 实例对象
     */
    CourseChapterVideo insert(CourseChapterVideo courseChapterVideo);

    /**
     * 修改数据
     *
     * @param courseChapterVideo 实例对象
     * @return 实例对象
     */
    CourseChapterVideo update(CourseChapterVideo courseChapterVideo);

    /**
     * 通过主键删除数据
     *
     * @param videoId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer videoId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


    /**
     * 通过IcourseId查询单条数据
     *
     * @param courseId 主键
     * @return 实例对象
     */
    List<CourseChapterVideo> queryByCourseId(Integer courseId);
}