package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.dto.OrderRefundLogDto;
import com.hc.business.model.OrderRefundLog;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 退费用户明细表(OrderRefundLog)表服务接口
 *
 * @author makejava
 * @since 2024-01-20 10:56:41
 */

@Component
public interface OrderRefundLogService {

    /**
     * 通过ID查询单条数据
     *
     * @param logId 主键
     * @return 实例对象
     */
    OrderRefundLog queryById(Integer logId);

    /**
     * 新增数据
     *
     * @param orderRefundLog 实例对象
     * @return 实例对象
     */
    OrderRefundLog insert(OrderRefundLog orderRefundLog);

    /**
     * 修改数据
     *
     * @param orderRefundLog 实例对象
     * @return 实例对象
     */
    OrderRefundLog update(OrderRefundLog orderRefundLog);

    /**
     * 通过主键删除数据
     *
     * @param logId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer logId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * @Author ymnets
     * @Description 根据退费单ID查询退费详情
     * @return java.util.List<com.hc.business.dto.OrderRefundLogDto>
     **/
    List<OrderRefundLogDto> queryByRefundId(Integer refundId);

    /**
     * @Author ymnets
     * @Description 获取可以退费的用户，并且这些用户没有退费过或者正在退费
     * @return java.util.List<com.hc.business.dto.OrderRefundLogDto>
     **/
    List<OrderRefundLogDto> getWaitingForRefundUser(Integer orderId);


}
