package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.UserTestHistory;
import org.springframework.stereotype.Component;


/**
 * 用户考试记录表(UserTestHistory)表服务接口
 *
 * @author java
 * @since 2020-12-07 11:28:20
 */

@Component
public interface UserTestHistoryService {

    /**
     * 通过ID查询单条数据
     *
     * @param testId 主键
     * @return 实例对象
     */
    UserTestHistory queryById(Integer testId);

    /**
     * 新增数据
     *
     * @param userTestHistory 实例对象
     * @return 实例对象
     */
    UserTestHistory insert(UserTestHistory userTestHistory);

    /**
     * 修改数据
     *
     * @param userTestHistory 实例对象
     * @return 实例对象
     */
    UserTestHistory update(UserTestHistory userTestHistory);

    /**
     * 通过主键删除数据
     *
     * @param testId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer testId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


    /**
     * 获取当前最高成绩
     *
     * @param userId   用户id
     * @return 实例对象
     */
    UserTestHistory queryMaxScore(Integer userId,Integer classId);
}