package com.hc.gpbusiness.mapper;

import com.hc.gpbusiness.model.WebCourseChapter;
import com.hc.gpcore.utils.tk.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 课程章节表(CourseChapter)表数据库访问层
 *
 * @author java
 * @since 2020-07-29 16:23:06
 */

@Repository
public interface WebCourseChapterMapper extends Mapper<WebCourseChapter> {

    /**
     * 依据课程id 获取章节
     *
     * @param courseId 课程id
     * @return 实例对象数组
     */
    List<WebCourseChapter> queryByCourseId(Integer courseId);

}