package com.hc.gpbusiness.mapper;

import com.hc.gpbusiness.model.WebCourse;
import org.springframework.stereotype.Repository;
import com.hc.gpcore.utils.tk.mapper.Mapper;

import java.util.List;

/**
 * 课程表(Course)表数据库访问层
 *
 * @author java
 * @since 2020-07-29 16:23:06
 */

@Repository
public interface WebCourseMapper extends Mapper<WebCourse> {


    /**
     * 依据moduleId 获取课程列表
     *
     * @param moduleId 板块id
     * @return 实例对象数组
     */
    List<WebCourse> queryByModuleId(Integer moduleId);

}