package com.hc.gpbusiness.mapper;

import com.hc.gpbusiness.model.WebNews;
import org.springframework.stereotype.Repository;
import com.hc.gpcore.utils.tk.mapper.Mapper;

import java.util.List;

/**
 * 新闻表
 * (News)表数据库访问层
 *
 * @author java
 * @since 2020-07-29 16:23:10
 */

@Repository
public interface WebNewsMapper extends Mapper<WebNews> {

    /**
     * 依据moduleId获取新闻
     *
     * @param moduleId 板块id
     * @return 实例对象数组
     */
    List<WebNews> queryNewsByModuleId(Integer moduleId);

}