package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 新闻标签，新闻对应表(CourseTagCollection)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:24
 */
@Builder
@Data
public class WebCourseTagCollection implements Serializable {

    private static final long serialVersionUID = -46653580285753544L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id", required = true)
    private Integer collectionId;

    /**
     * 新闻tag id
     */
    @ApiModelProperty(value = "新闻tag id", required = true)
    private Integer tagId;

    /**
     * 课程ID
     */
    @ApiModelProperty(value = "课程ID", required = true)
    private Integer courseId;
}