package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


@Data
@ApiModel(value = "资讯附件表")
public class WebNewsAttachment implements Serializable {

    private static final long serialVersionUID = 440427107922700726L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "附件ID")
    private Integer attachmentId;

    /** q
     * 新闻id
     */
    @ApiModelProperty(value = "新闻id", required = true)
    private Integer newsId;

    /**
     * 附件名字
     */
    @ApiModelProperty(value = "附件名字", required = true)
    private String name;


    /**
     * 附件介绍
     */
    @ApiModelProperty(value = "附件介绍")
    private String content;

    /**
     * 附件地址
     */
    @ApiModelProperty(value = "附件地址", required = true)
    private String url;

    /**
     * 索引
     */
    @ApiModelProperty(value = "索引", required = true)
    private Integer indexNum;
}
