package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 新闻标签表(NewsTag)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:24
 */
@Builder
@Data
public class WebNewsTag implements Serializable {

    private static final long serialVersionUID = -54401004133126215L;


    /**
     * 新闻标签id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "新闻标签id")
    private Integer tagId;

    /**
     * 标签名称
     */
    @ApiModelProperty(value = "标签名称", required = true)
    private String tagName;

    /**
     * 板块ID
     */
    @ApiModelProperty(value = "板块ID", required = true)
    private Integer moduleId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Long updateTime;
}