package com.hc.gpbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.gpbusiness.model.WebBanner;
import org.springframework.stereotype.Component;


/**
 * 广告表
 * (WebBanner)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:03
 */

@Component
public interface WebBannerService {

    /**
     * 通过ID查询单条数据
     *
     * @param bannerId 主键
     * @return 实例对象
     */
    WebBanner queryById(Integer bannerId);

    /**
     * 新增数据
     *
     * @param banner 实例对象
     * @return 实例对象
     */
    WebBanner insert(WebBanner banner);

    /**
     * 修改数据
     *
     * @param banner 实例对象
     * @return 实例对象
     */
    WebBanner update(WebBanner banner);

    /**
     * 通过主键删除数据
     *
     * @param bannerId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer bannerId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}