package com.hc.gpbusiness.service;

import com.hc.gpbusiness.model.WebCourseChapterTest;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;


/**
 * 章节测试表/随堂练习表(CourseChapterTest)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:08
 */

@Component
public interface WebCourseChapterTestService {

    /**
     * 通过ID查询单条数据
     *
     * @param testId 主键
     * @return 实例对象
     */
    WebCourseChapterTest queryById(Integer testId);

    /**
     * 新增数据
     *
     * @param courseChapterTest 实例对象
     * @return 实例对象
     */
    WebCourseChapterTest insert(WebCourseChapterTest courseChapterTest);

    /**
     * 修改数据
     *
     * @param courseChapterTest 实例对象
     * @return 实例对象
     */
    WebCourseChapterTest update(WebCourseChapterTest courseChapterTest);

    /**
     * 通过主键删除数据
     *
     * @param testId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer testId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}