package com.hc.gpbusiness.service;

import com.hc.gpbusiness.model.WebCourseChapterVideo;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;


/**
 * 课程视频(CourseChapterVideo)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:08
 */

@Component
public interface WebCourseChapterVideoService {

    /**
     * 通过ID查询单条数据
     *
     * @param videoId 主键
     * @return 实例对象
     */
    WebCourseChapterVideo queryById(Integer videoId);

    /**
     * 新增数据
     *
     * @param courseChapterVideo 实例对象
     * @return 实例对象
     */
    WebCourseChapterVideo insert(WebCourseChapterVideo courseChapterVideo);

    /**
     * 修改数据
     *
     * @param courseChapterVideo 实例对象
     * @return 实例对象
     */
    WebCourseChapterVideo update(WebCourseChapterVideo courseChapterVideo);

    /**
     * 通过主键删除数据
     *
     * @param videoId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer videoId);

    /**
     * 分页查询多条数据
     *
     * @param page      页码
     * @param size      查询条数
     * @param chapterId 章节id
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size, Integer chapterId);


}