package com.hc.gpweb.controller.front;

import com.hc.gpbusiness.service.WebNewsService;
import com.hc.gpcore.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;


/**
 * 新闻表
 * (News)表控制层
 *
 * @author java
 * @since 2020-07-29 16:23:10
 */

@RestController
@RequestMapping("/api/front/news")
public class FrontNewsController {

    /**
     * 服务对象
     */
    private final WebNewsService newsService;

    public FrontNewsController(WebNewsService newsService) {
        this.newsService = newsService;
    }

    @GetMapping("/{id}")
    @ApiOperation(value = "依据主键获取 News", response = Result.class)
    public Result selectNews(@PathVariable("id") Integer id) {
        return Result.success(this.newsService.queryById(id));
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取 News列表(分页)", response = Result.class)
    public Result listNews(@RequestParam(defaultValue = "0") Integer page,
                           @RequestParam(defaultValue = "0") Integer size,
                           @RequestParam Integer moduleId) {
        return Result.success(newsService.queryAllByLimit(page, size, moduleId));
    }


}