package com.hc.business.mapper;

import com.hc.business.model.ZccmUserInvoices;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户发票表(UserInvoices)表数据库访问层
 *
 * @author java
 * @since 2020-12-02 10:50:34
 */

@Repository
public interface ZccmUserInvoicesMapper extends Mapper<ZccmUserInvoices> {

    /**
     * 获取用户发票信息
     *
     * @param userId 用户id
     * @return 实例对象数组
     */
    List<ZccmUserInvoices> queryDetailByUserId(Integer userId);

    /**
     * 查询有效发票
     *
     * @return 实例对象数组
     */
    List<ZccmUserInvoices> queryAll();

    /**
     * 获取班次发票信息
     *
     * @param classId 班次id
     * @return 实例对象数组
     */
    List<ZccmUserInvoices> queryByClassId(Integer classId);

    /**
     * 获取状态获取发票信息
     *
     * @param status 状态
     * @return 实例对象数组
     */
    List<ZccmUserInvoices> queryByStatus(Integer status);

}