package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * (ZccmUserTeacher)实体类
 *
 * @author java
 * @since 2020-11-20 11:08:17
 */

@ApiModel(value = "老师表")
@Data
public class ZccmUserTeacher implements Serializable {

    private static final long serialVersionUID = 354661860163916483L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Integer teacherId;

    /**
     * 老师名称
     */
    @ApiModelProperty(value = "老师名称", required = true)
    @NotNull
    private String teacherName;

    /**
     * 老师简介
     */
    @ApiModelProperty(value = "老师简介", required = true)
    @NotNull
    private String teacherIntroduce;

    /**
     * 老师头像
     */
    @ApiModelProperty(value = "老师头像", required = true)
    @NotNull
    private String teacherLogo;

    /**
     * 老师图片
     */
    @ApiModelProperty(value = "老师图片", required = true)
    @NotNull
    private String teacherUrl;

    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private Long createTime;

}