package com.hc.web.controller.browser.app;

import com.hc.business.model.ZccmOrderUserLog;
import com.hc.business.service.ZccmOrderUserLogService;
import com.hc.core.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;


/**
 * (OrderUserLog)表控制层
 *
 * @author java
 * @since 2020-12-03 09:25:12
 */

@RestController
@RequestMapping("/new/api/app/orderUserLog")
public class AppOrderUserLogController {

    /**
     * 服务对象
     */
    private final ZccmOrderUserLogService orderUserLogService;

    public AppOrderUserLogController(ZccmOrderUserLogService orderUserLogService) {
        this.orderUserLogService = orderUserLogService;
    }

    @GetMapping("/{id}")
    @ApiOperation(value = "依据主键获取 OrderUserLog", response = Result.class)
    public Result selectAppOrderUserLog(@PathVariable("id") Integer id) {
        return Result.success(this.orderUserLogService.queryById(id));
    }

    @PostMapping("/insert")
    @ApiOperation(value = "新增 OrderUserLog", response = Result.class)
    public Result addAppOrderUserLog(@Valid @RequestBody ZccmOrderUserLog orderUserLog) {
        return Result.success(orderUserLogService.insert(orderUserLog));
    }

    @GetMapping("/order/{orderId}")
    @ApiOperation(value = "依据订单id 获取 OrderUserLog", response = Result.class)
    public Result selectOrderUserLogByOrderId(@ApiParam(value = "订单id") @PathVariable("orderId") Integer orderId) {
        return Result.success(orderUserLogService.queryListByOrderId(orderId));
    }

}