package com.hc.web.controller.browser.front;

import com.hc.business.service.ZccmNewsTagService;
import com.hc.core.utils.result.Result;
import io.swagger.annotations.ApiOperation;

import org.springframework.web.bind.annotation.*;


/**
 * 新闻标签表(ZccmNewsTag)表控制层
 *
 * @author java
 * @since 2020-11-20 12:52:34
 */

@RestController
@RequestMapping("/new/api/front/newsTag")
public class FrontNewsTagController {

    /**
     * 服务对象
     */
    private final ZccmNewsTagService newsTagService;

    public FrontNewsTagController(ZccmNewsTagService newsTagService) {
        this.newsTagService = newsTagService;
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取 ZccmNewsTag列表", response = Result.class)
    public Result listFrontNewsTag() {
        return Result.success(newsTagService.queryAll());
    }

}